Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.security3
Class SecurityConfigurationPostProcessor

    java.lang.Object
      org.springframework.flex.security3.SecurityConfigurationPostProcessor

All Implemented Interfaces:
  BeanPostProcessor, InitializingBean, MergedBeanDefinitionPostProcessor, ApplicationContextAware

    public class SecurityConfigurationPostProcessor

extends Object
implements MergedBeanDefinitionPostProcessor, InitializingBean, ApplicationContextAware

Infrastructure class for setting up the necessary integration points with Spring Security.

Given existing Spring Security configuration for implementations of `SessionAuthenticationStrategy`, `RememberMeServices`, will configure the `SpringSecurityLoginCommand` and `FilterChainProxy` to work with those services as necessary. An existing `SessionAuthentiactionStrategy` will be wrapped with a `FlexSessionAwareSessionAuthenticationStrategy` in order to ensure proper handling of the `FlexSession`.

This class will be configured automatically through use of the XML namespace tags.

Author:
  Jeremy Grelle

Constructor Summary
`SecurityConfigurationPostProcessor()`

Method Summary
`void` | `afterPropertiesSet()`
`Object` | `postProcessAfterInitialization(Object bean, String beanName)`
`Object` | `postProcessBeforeInitialization(Object bean, String beanName)`
`void` | `postProcessMergedBeanDefinition(RootBeanDefinition beanDefinition, Class beanType, String beanName)`
`void` | `setApplicationContext(ApplicationContext context)`
`void` | `setFilterChainProxy(FilterChainProxy filterChainProxy)`
`void` | `setRememberMeServices(RememberMeServices rememberMeServices)`
`void` | `setSessionAuthenticationStrategy(SessionAuthenticationStrategy sessionAuthenticationStrategy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityConfigurationPostProcessor

    public SecurityConfigurationPostProcessor()

Method Detail

### postProcessMergedBeanDefinition

    public void postProcessMergedBeanDefinition(RootBeanDefinition beanDefinition,
                                                Class beanType,
                                                String beanName)

  Specified by:
    `postProcessMergedBeanDefinition` in interface `MergedBeanDefinitionPostProcessor`

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws Exception

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`
  Throws:
    `Exception`

### postProcessAfterInitialization

    public Object postProcessAfterInitialization(Object bean,
                                                 String beanName)
                                          throws BeansException

  Specified by:
    `postProcessAfterInitialization` in interface `BeanPostProcessor`
  Throws:
    `BeansException`

### postProcessBeforeInitialization

    public Object postProcessBeforeInitialization(Object bean,
                                                  String beanName)
                                           throws BeansException

  Specified by:
    `postProcessBeforeInitialization` in interface `BeanPostProcessor`
  Throws:
    `BeansException`

### setApplicationContext

    public void setApplicationContext(ApplicationContext context)
                               throws BeansException

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`
  Throws:
    `BeansException`

### setFilterChainProxy

    public void setFilterChainProxy(FilterChainProxy filterChainProxy)

### setRememberMeServices

    public void setRememberMeServices(RememberMeServices rememberMeServices)

### setSessionAuthenticationStrategy

    public void setSessionAuthenticationStrategy(SessionAuthenticationStrategy sessionAuthenticationStrategy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.